# Bilibili_up 使用方法
****
### 关于 BV 号视频的操作<br><br>
**导入BV操作**<br>
获取BV视频评论区（字典）<br>
`from bilibili_up import BV`
```ruby
#获取BV视频评论区（字典）
comments = BV_get_comments(BV=123456789, 
           PageNumber=5, 
           headers={"User-Agent": "Mozilla/5.0"})
for username, content in comments.items():
    print(f"{username}: {content}")
```
其中，BV、PageNumber是必选参数，其他为可选参数。<br>
PageNumber：页数（1~PageNumber）<br>
BV：视频BV号<br>
headers（可选）：自定义请求头<br>
返回值是一个字典｛username:content｝<br>
>自定义ip选项下一个版本加上<br>

获取视频信息<br>
```ruby
video_info = BV_get_File("BVxxxxxxxx", headers={"User-Agent": "Mozilla/5.0"})
print(video_info)
```
该函数会返回一个字典，包含视频的播放量、发布时间、作者信息和弹幕数量。<br>
源代码的一部分：
```
return {
                "播放量": play_count,
                "发布时间": publish_time,
                "作者": {
                    "名称": author_name,
                    "UID": author_uid
                },
                "弹幕数量": danmaku_count
            }
```
想获得作者的uid就需要：
```
a = BV_get_File("BVxxxxxxxx")["作者"]["UID"]
```
其中，BV是必选参数，其他为可选参数。<br>
BV：视频BV号<br>
headers（可选）：自定义请求头<br>
>在0.2.1.1版本中，获取BV视频评论区中的BV参数是video_bv（以过时）